## org.dom4j.util
Class ProxyDocumentFactory

    java.lang.Object
      org.dom4j.util.ProxyDocumentFactory

public abstract class ProxyDocumentFactory
extends Object

`ProxyDocumentFactory` implements a proxy to a DocumentFactory which is useful for implementation inheritence, allowing the pipelining of various factory implementations. For example an EncodingDocumentFactory which takes care of encoding strings outside of allowable XML ranges could be used with a DatatypeDocumentFactory which is XML Schema Data Type aware.

Version:
  $Revision: 1.13 $
Author:
  James Strachan

Constructor Summary
`ProxyDocumentFactory()`
`ProxyDocumentFactory(DocumentFactory proxy)`

Method Summary
`Attribute` `createAttribute(Element owner, QName qname, String value)`
`Attribute` `createAttribute(Element owner, String name, String value)`
`CDATA` `createCDATA(String text)`
`Comment` `createComment(String text)`
`DocumentType` `createDocType(String name, String publicId, String systemId)`
`Document` `createDocument()`
`Document` `createDocument(Element rootElement)`
`Element` `createElement(QName qname)`
`Element` `createElement(String name)`
`Entity` `createEntity(String name, String text)`
`Namespace` `createNamespace(String prefix, String uri)`
`Pattern` `createPattern(String xpathPattern)`
`ProcessingInstruction` `createProcessingInstruction(String target, Map data)`
`ProcessingInstruction` `createProcessingInstruction(String target, String data)`
`QName` `createQName(String localName)`
`QName` `createQName(String localName, Namespace namespace)`
`QName` `createQName(String qualifiedName, String uri)`
`QName` `createQName(String name, String prefix, String uri)`
`Text` `createText(String text)`
`XPath` `createXPath(String xpathExpression)`
`XPath` `createXPath(String xpathExpression, org.jaxen.VariableContext variableContext)`
`NodeFilter` `createXPathFilter(String xpathFilterExpression)`
`NodeFilter` `createXPathFilter(String xpathFilterExpression, org.jaxen.VariableContext variableContext)`
`protected DocumentFactory` `getProxy()`
`protected void` `setProxy(DocumentFactory proxy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyDocumentFactory

    public ProxyDocumentFactory()

### ProxyDocumentFactory

    public ProxyDocumentFactory(DocumentFactory proxy)

Method Detail

### createDocument

    public Document createDocument()

### createDocument

    public Document createDocument(Element rootElement)

### createDocType

    public DocumentType createDocType(String name,
                                      String publicId,
                                      String systemId)

### createElement

    public Element createElement(QName qname)

### createElement

    public Element createElement(String name)

### createAttribute

    public Attribute createAttribute(Element owner,
                                     QName qname,
                                     String value)

### createAttribute

    public Attribute createAttribute(Element owner,
                                     String name,
                                     String value)

### createCDATA

    public CDATA createCDATA(String text)

### createComment

    public Comment createComment(String text)

### createText

    public Text createText(String text)

### createEntity

    public Entity createEntity(String name,
                               String text)

### createNamespace

    public Namespace createNamespace(String prefix,
                                     String uri)

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(String target,
                                                             String data)

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(String target,
                                                             Map data)

### createQName

    public QName createQName(String localName,
                             Namespace namespace)

### createQName

    public QName createQName(String localName)

### createQName

    public QName createQName(String name,
                             String prefix,
                             String uri)

### createQName

    public QName createQName(String qualifiedName,
                             String uri)

### createXPath

    public XPath createXPath(String xpathExpression)

### createXPath

    public XPath createXPath(String xpathExpression,
                             org.jaxen.VariableContext variableContext)

### createXPathFilter

    public NodeFilter createXPathFilter(String xpathFilterExpression,
                                        org.jaxen.VariableContext variableContext)

### createXPathFilter

    public NodeFilter createXPathFilter(String xpathFilterExpression)

### createPattern

    public Pattern createPattern(String xpathPattern)

### getProxy

    protected DocumentFactory getProxy()

### setProxy

    protected void setProxy(DocumentFactory proxy)

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.